## user-manager 0.0~git20130223-0ubuntu1

=== src/CMakeLists.txt ===
set(user_manager_SRCS
   lib/accountmodel.cpp
   lib/modeltest.cpp
   lib/usersessions.cpp
   usermanager.cpp
   accountinfo.cpp
)

set_source_files_properties(lib/org.freedesktop.Accounts.xml
                        PROPERTIES NO_NAMESPACE TRUE)

set_source_files_properties(lib/org.freedesktop.Accounts.User.xml
                        PROPERTIES NO_NAMESPACE TRUE)

qt4_add_dbus_interface(user_manager_SRCS
    lib/org.freedesktop.Accounts.xml
    accounts_interface
)

qt4_add_dbus_interface(user_manager_SRCS
    lib/org.freedesktop.Accounts.User.xml
    user_interface
)

qt4_add_dbus_interface(user_manager_SRCS
    lib/org.freedesktop.ConsoleKit.xml
    console_interface
)

qt4_add_dbus_interface(user_manager_SRCS
    lib/org.freedesktop.ConsoleKit.Session.xml
    session_interface
)

qt4_add_dbus_interface(user_manager_SRCS
    lib/org.freedesktop.ConsoleKit.Seat.xml
    seat_interface
)

kde4_add_ui_files(user_manager_SRCS kcm.ui account.ui)

kde4_add_plugin(user_manager ${user_manager_SRCS})

target_link_libraries(user_manager ${KDE4_KDEUI_LIBS})

install(TARGETS user_manager DESTINATION ${PLUGIN_INSTALL_DIR})

install(PROGRAMS user_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
user-manager (0.0~git20130223-0ubuntu1) raring; urgency=low

  * Initial upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Mar 2013 12:31:27 +0000

=== debian/control ===
Source: user-manager
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev
Standards-Version: 3.9.4

Package: user-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: user management tool for the Plasma workspace
 A System Settings module for managing users on your system.

## user-manager 0.0~git20130223-0ubuntu2

=== debian/changelog ===
user-manager (0.0~git20130223-0ubuntu2) saucy; urgency=low

  * Add a dependency on consolekit; uses its D-Bus interface. 

 -- Iain Lane <iain.lane@canonical.com>  Tue, 30 Apr 2013 19:20:59 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: user-manager
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit
 Description: user management tool for the Plasma workspace
  A System Settings module for managing users on your system.

## user-manager 0.0~git20130719-0ubuntu1

=== CMakeLists.txt ===
project(user-manager)

find_package(KDE4 REQUIRED)

include(KDE4Defaults)

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -45,4 +45,4 @@
 
 install(TARGETS user_manager DESTINATION ${PLUGIN_INSTALL_DIR})
 
-install(PROGRAMS user_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR})
+install(FILES user_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
user-manager (0.0~git20130719-0ubuntu1) saucy; urgency=low

  * New snapshot
  * Add install depends on accountsservice

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Jul 2013 12:51:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: user-manager
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit
+Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit, accountsservice
 Description: user management tool for the Plasma workspace
  A System Settings module for managing users on your system.

## user-manager 0.0~git20130930-0ubuntu1

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(pl)
add_subdirectory(uk)
add_subdirectory(cs)
add_subdirectory(gl)
add_subdirectory(fr)
add_subdirectory(ru)
add_subdirectory(de)
add_subdirectory(ro)
add_subdirectory(mr)
add_subdirectory(hu)
add_subdirectory(tr)
add_subdirectory(sk)
add_subdirectory(nl)
add_subdirectory(bs)
add_subdirectory(sv)
add_subdirectory(ug)
add_subdirectory(pt_BR)
add_subdirectory(es)
add_subdirectory(pt)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,8 @@
    lib/usersessions.cpp
    usermanager.cpp
    accountinfo.cpp
+   createavatarjob.cpp
+   passworddialog.cpp
 )
 
 set_source_files_properties(lib/org.freedesktop.Accounts.xml
@@ -22,26 +24,19 @@
     user_interface
 )
 
+set(login1_manager_xml lib/org.freedesktop.login1.Manager.xml)
+set_source_files_properties(${login1_manager_xml} PROPERTIES INCLUDE "lib/usersessions.h")
 qt4_add_dbus_interface(user_manager_SRCS
-    lib/org.freedesktop.ConsoleKit.xml
-    console_interface
+    ${login1_manager_xml}
+    login1_interface
 )
 
-qt4_add_dbus_interface(user_manager_SRCS
-    lib/org.freedesktop.ConsoleKit.Session.xml
-    session_interface
-)
 
-qt4_add_dbus_interface(user_manager_SRCS
-    lib/org.freedesktop.ConsoleKit.Seat.xml
-    seat_interface
-)
-
-kde4_add_ui_files(user_manager_SRCS kcm.ui account.ui)
+kde4_add_ui_files(user_manager_SRCS kcm.ui account.ui password.ui)
 
 kde4_add_plugin(user_manager ${user_manager_SRCS})
 
-target_link_libraries(user_manager ${KDE4_KDEUI_LIBS})
+target_link_libraries(user_manager ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${PWQUALITY_LIBRARY} crypt)
 
 install(TARGETS user_manager DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
user-manager (0.0~git20130930-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 17:01:26 +0100

## user-manager 0.0~git20131010

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -11,22 +11,22 @@
 if (NOT GETTEXT_MSGFMT_EXECUTABLE)
 MESSAGE(FATAL_ERROR "Please install msgmerge binary")
 endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
+add_subdirectory(tr)
+add_subdirectory(sv)
+add_subdirectory(cs)
+add_subdirectory(mr)
+add_subdirectory(ru)
+add_subdirectory(nl)
+add_subdirectory(ug)
+add_subdirectory(pt)
+add_subdirectory(hu)
+add_subdirectory(es)
+add_subdirectory(bs)
+add_subdirectory(uk)
+add_subdirectory(ro)
+add_subdirectory(fr)
 add_subdirectory(pl)
-add_subdirectory(uk)
-add_subdirectory(cs)
 add_subdirectory(gl)
-add_subdirectory(fr)
-add_subdirectory(ru)
+add_subdirectory(pt_BR)
 add_subdirectory(de)
-add_subdirectory(ro)
-add_subdirectory(mr)
-add_subdirectory(hu)
-add_subdirectory(tr)
 add_subdirectory(sk)
-add_subdirectory(nl)
-add_subdirectory(bs)
-add_subdirectory(sv)
-add_subdirectory(ug)
-add_subdirectory(pt_BR)
-add_subdirectory(es)
-add_subdirectory(pt)

=== debian/changelog ===
user-manager (0.0~git20131010-0ubuntu1) saucy; urgency=low

  * New upstream snapshot

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Oct 2013 11:24:52 +0200

## user-manager 0.0~git20140416

=== CMakeLists.txt ===
project(user-manager)
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

find_package(KDE4 REQUIRED)
find_package(PWQuality REQUIRED)

include(KDE4Defaults)

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${PWQUALITY_INCLUDE_DIR})

add_subdirectory(src)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(bs)
add_subdirectory(cs)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(es)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(gl)
add_subdirectory(hu)
add_subdirectory(lt)
add_subdirectory(mr)
add_subdirectory(nl)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(sk)
add_subdirectory(sl)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(ug)
add_subdirectory(uk)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
    accountinfo.cpp
    createavatarjob.cpp
    passworddialog.cpp
+   passwordedit.cpp
 )
 
 set_source_files_properties(lib/org.freedesktop.Accounts.xml

=== debian/changelog ===
user-manager (0.0~git20140416-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot (LP: #1308589)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 16 Apr 2014 17:01:37 +0200

user-manager (0.0~git20140211-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot (LP: #1267035)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 11 Feb 2014 19:42:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
- kdelibs5-dev
+ kdelibs5-dev, libpwquality-dev
 Standards-Version: 3.9.4
 
 Package: user-manager

## user-manager 5.1.95

=== debian/changelog ===
user-manager (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Bump dh compat to 9
  * Remove consolekit as dependency. It does not appear to be used anymore.

 -- Harald Sitter <sitter@kde.org>  Thu, 15 Jan 2015 01:40:09 +0100

=== debian/control ===
Source: user-manager
Section: kde
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5kdelibs4support-dev,
               libpwquality-dev,
               pkg-config,
               pkg-kde-tools (>= 0.5.0)
Standards-Version: 3.9.6
Homepage: http://www.kde.org
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/user-manager.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/user-manager.git;a=summary

Package: user-manager
Architecture: any
Depends: accountsservice, ${misc:Depends}, ${shlibs:Depends}
Description: user management tool for the Plasma workspace
 A System Settings module for managing users on your system.

## user-manager 5.2.90+git20150330

=== CMakeLists.txt ===
project(user-manager)
cmake_minimum_required(VERSION 2.8.12)
set(PROJECT_VERSION "5.2.90")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Core Widgets)
find_package(KF5 REQUIRED COMPONENTS KDELibs4Support)
find_package(PWQuality REQUIRED)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include_directories(${PWQUALITY_INCLUDE_DIR})

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
user-manager (4:5.2.90+git20150330-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Mar 2015 14:35:24 +0200

## user-manager 5.2.95

=== debian/changelog ===
user-manager (4:5.2.95-0tanglu1) staging; urgency=medium

  * Upload for Tanglu

 -- Matthias Klumpp <mak@debian.org>  Tue, 28 Apr 2015 19:28:32 +0200

user-manager (4:5.2.95-0ubuntu1~ubuntu15.04~ppa1) vivid; urgency=medium

  * beta release
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Apr 2015 13:59:03 +0200

## user-manager 5.3.95

=== debian/changelog ===
user-manager (4:5.3.95-0ubuntu1) wily; urgency=medium

  * beta release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:23:46 +0200

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/user-manager-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/user-manager-(.*)\.tar\.xz

## user-manager 5.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.2.90")
+set(PROJECT_VERSION "5.4.1")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -17,6 +17,9 @@
 
 include_directories(${PWQUALITY_INCLUDE_DIR})
 
+# Set KI18n translation domain
+add_definitions(-DTRANSLATION_DOMAIN=\"user_manager\")
+
 add_subdirectory(src)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
user-manager (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:27:55 +0100

user-manager (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:58:49 +0100

## user-manager 5.4.2

=== debian/changelog ===
user-manager (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 16:04:20 +0100

## user-manager 5.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.4.1")
+set(PROJECT_VERSION "5.4.3")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

## user-manager 5.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.4.3")
+set(PROJECT_VERSION "5.5.5")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
user-manager (4:5.5.5-0ubuntu1) xenial; urgency=medium

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * Removing line 3 of copyright file as it is now an obsolete 
    field according to Lintian

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 14:04:39 -0700

user-manager (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:31:40 +0100

user-manager (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:46 +0100

user-manager (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:51:01 +0100

user-manager (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:58 +0200

user-manager (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:07 +0200

user-manager (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.2.95).
  * New upstream release (5.3.95).
  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 19:09:46 +0200

user-manager (4:5.1.95-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Add myself as Uploader.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 13 Feb 2015 15:12:19 +0100

=== debian/control ===
Source: user-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               kinit-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5kdelibs4support-dev (>= 5.18.0~),
               libpwquality-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/user-manager
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/user-manager.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/user-manager.git

Package: user-manager
Architecture: any
Depends: accountsservice, ${misc:Depends}, ${shlibs:Depends}
Description: user management tool for the Plasma workspace
 A System Settings module for managing users on your system.

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/user-manager-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/user-manager-([\d.]+)\.tar\.xz

## user-manager 5.6.4

=== debian/changelog ===
user-manager (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:32:42 -0700

=== debian/control ===
Source: user-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.22.0~),
               kinit-dev (>= 5.22.0~),
               libkf5i18n-dev (>= 5.22.0~),
               libkf5kdelibs4support-dev (>= 5.22.0~),
               libpwquality-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/user-manager
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/user-manager
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/user-manager

Package: user-manager
Architecture: any
Depends: accountsservice, ${misc:Depends}, ${shlibs:Depends}
Description: user management tool for the Plasma workspace
 A System Settings module for managing users on your system.

## user-manager 5.7.2

=== debian/changelog ===
user-manager (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:10:37 +0000

user-manager (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 21:20:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.22.0~),
-               kinit-dev (>= 5.22.0~),
-               libkf5i18n-dev (>= 5.22.0~),
-               libkf5kdelibs4support-dev (>= 5.22.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kinit-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
                libpwquality-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/user-manager
 Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/user-manager

## user-manager 5.7.5

=== debian/changelog ===
user-manager (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:31:36 -0500

## user-manager 5.8.2

=== debian/changelog ===
user-manager (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:25:33 +0200

user-manager (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:00:20 +0200

user-manager (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:08:11 +0200

user-manager (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 15:06:58 +0200

user-manager (4:5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 22:42:27 +0200

user-manager (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:49:22 +0200

user-manager (4:5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:30:55 +0200

user-manager (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:54 +0100

## user-manager 5.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.8.5")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -19,6 +19,7 @@
 
 # Set KI18n translation domain
 add_definitions(-DTRANSLATION_DOMAIN=\"user_manager\")
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
 add_subdirectory(src)

=== debian/changelog ===
user-manager (4:5.8.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Mar 2017 10:40:44 +0200

user-manager (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:25 +0100

user-manager (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:39:17 +0100

=== debian/control ===
Source: user-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libpwquality-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/user-manager
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/user-manager.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/user-manager.git

Package: user-manager
Architecture: any
Depends: accountsservice, ${misc:Depends}, ${shlibs:Depends}
Description: user management tool for the Plasma workspace
 A System Settings module for managing users on your system.

## user-manager 5.9.0

=== debian/changelog ===
user-manager (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:55:56 +0000

user-manager (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:14 +0000

user-manager (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:55:20 +0000

=== debian/control ===
Source: user-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.30.0~),
               kinit-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdelibs4support-dev (>= 5.30.0~),
               libpwquality-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/user-manager
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/user-manager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/user-manager

Package: user-manager
Architecture: any
Depends: accountsservice, ${misc:Depends}, ${shlibs:Depends}
Description: user management tool for the Plasma workspace
 A System Settings module for managing users on your system.

## user-manager 5.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.8.5")
+set(PROJECT_VERSION "5.9.1")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 
-find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Core Widgets)
-find_package(KF5 REQUIRED COMPONENTS KDELibs4Support)
+find_package(Qt5 REQUIRED COMPONENTS Core Widgets DBus)
+find_package(KF5 REQUIRED COMPONENTS WidgetsAddons CoreAddons I18n Config ConfigWidgets KCMUtils KIO IconThemes Auth)
 find_package(PWQuality REQUIRED)
 
 include(FeatureSummary)

## user-manager 5.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.9.1")
+set(PROJECT_VERSION "5.9.2")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
user-manager (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:06:31 +0000

user-manager (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:21:27 +0000

## user-manager 5.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.9.2")
+set(PROJECT_VERSION "5.9.3")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
user-manager (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:53:24 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.30.0~),
-               kinit-dev (>= 5.30.0~),
-               libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdelibs4support-dev (>= 5.30.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               kinit-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
                libpwquality-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

## user-manager 5.9.4

=== debian/changelog ===
user-manager (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:59:31 +0000

## user-manager 5.9.5

=== debian/changelog ===
user-manager (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:33:11 +0100

## user-manager 5.10.0

=== debian/changelog ===
user-manager (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:50:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               kinit-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.34.0~),
+               kinit-dev (>= 5.34.0~),
+               libkf5i18n-dev (>= 5.34.0~),
+               libkf5kdelibs4support-dev (>= 5.34.0~),
                libpwquality-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

## user-manager 5.10.1

=== debian/changelog ===
user-manager (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:10:11 +0100

## user-manager 5.10.2

=== debian/changelog ===
user-manager (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:13:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.34.0~),
-               kinit-dev (>= 5.34.0~),
-               libkf5i18n-dev (>= 5.34.0~),
-               libkf5kdelibs4support-dev (>= 5.34.0~),
+               extra-cmake-modules (>= 5.35.0~),
+               kinit-dev (>= 5.35.0~),
+               libkf5i18n-dev (>= 5.35.0~),
+               libkf5kdelibs4support-dev (>= 5.35.0~),
                libpwquality-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

## user-manager 5.10.3

=== debian/changelog ===
user-manager (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:17:02 +0100

## user-manager 5.10.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.9.3")
+set(PROJECT_VERSION "5.10.4")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
user-manager (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:38:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.35.0~),
-               kinit-dev (>= 5.35.0~),
-               libkf5i18n-dev (>= 5.35.0~),
-               libkf5kdelibs4support-dev (>= 5.35.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               kinit-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
                libpwquality-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

## user-manager 5.10.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.10.4")
+set(PROJECT_VERSION "5.10.5")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
user-manager (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:40:28 +0100

## user-manager 5.11.3

=== debian/changelog ===
user-manager (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:53 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               kinit-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5kdelibs4support-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.40.0~),
+               kinit-dev (>= 5.40.0~),
+               libkf5i18n-dev (>= 5.40.0~),
+               libkf5kdelibs4support-dev (>= 5.40.0~),
                libpwquality-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

## user-manager 5.11.4

=== debian/changelog ===
user-manager (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:17:20 -0600

## user-manager 5.11.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.10.5")
+set(PROJECT_VERSION "5.11.5")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
user-manager (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:40:31 +0000

## user-manager 5.12.0

=== debian/changelog ===
user-manager (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:45 +0000

## user-manager 5.12.1

=== debian/changelog ===
user-manager (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:14:17 +0000

## user-manager 5.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.11.5")
+set(PROJECT_VERSION "5.12.2")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

## user-manager 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.12.2")
+set(PROJECT_VERSION "5.12.4")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
user-manager (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:56:35 +0100

user-manager (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:41 +0000

user-manager (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:44:16 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.40.0~),
-               kinit-dev (>= 5.40.0~),
-               libkf5i18n-dev (>= 5.40.0~),
-               libkf5kdelibs4support-dev (>= 5.40.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               kinit-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5kdelibs4support-dev (>= 5.42.0~),
                libpwquality-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

## user-manager 5.12.5

=== debian/changelog ===
user-manager (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:25:33 +0100

## user-manager 5.12.6

=== src/CMakeLists.txt ===
set(user_manager_SRCS
   lib/accountmodel.cpp
   lib/modeltest.cpp
   lib/usersessions.cpp
   usermanager.cpp
   accountinfo.cpp
   createavatarjob.cpp
   passworddialog.cpp
   passwordedit.cpp
   avatargallery.cpp
   user_manager_debug.cpp
)

set_source_files_properties(lib/org.freedesktop.Accounts.xml
                        PROPERTIES NO_NAMESPACE TRUE)

set_source_files_properties(lib/org.freedesktop.Accounts.User.xml
                        PROPERTIES NO_NAMESPACE TRUE)

qt5_add_dbus_interface(user_manager_SRCS
    lib/org.freedesktop.Accounts.xml
    accounts_interface
)

qt5_add_dbus_interface(user_manager_SRCS
    lib/org.freedesktop.Accounts.User.xml
    user_interface
)

set(login1_manager_xml lib/org.freedesktop.login1.Manager.xml)
set_source_files_properties(${login1_manager_xml} PROPERTIES INCLUDE "lib/usersessions.h")
qt5_add_dbus_interface(user_manager_SRCS
    ${login1_manager_xml}
    login1_interface
)

ki18n_wrap_ui(user_manager_SRCS kcm.ui account.ui password.ui avatargallery.ui)

add_library(user_manager MODULE ${user_manager_SRCS})

target_link_libraries(user_manager
    Qt5::Core
    Qt5::Widgets
    Qt5::DBus
    KF5::Auth
    KF5::WidgetsAddons
    KF5::CoreAddons
    KF5::I18n
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::KCMUtils
    KF5::KIOCore
    KF5::IconThemes
    ${PWQUALITY_LIBRARY}
)

if (NOT APPLE)
target_link_libraries(user_manager crypt)
endif()

install(TARGETS user_manager DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES user_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(DIRECTORY pics/ DESTINATION ${DATA_INSTALL_DIR}/user-manager/avatars)

=== debian/changelog ===
user-manager (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:30:08 +0100

user-manager (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:35:29 +0100

## user-manager 5.12.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.7")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
user-manager (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:35 +0100

## user-manager 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.12.7")
+set(PROJECT_VERSION "5.12.8")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
user-manager (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libpwquality-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/user-manager
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/user-manager

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/user-manager-([\d.]+)\.tar\.xz

## user-manager 5.13.3

=== debian/changelog ===
user-manager (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:27:21 +0100

user-manager (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:32:33 +0100

## user-manager 5.13.4

=== debian/changelog ===
user-manager (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/meta/upstream_scm.json: Remove this old Kubuntu CI branch
      override which somehow ended up in Debian's packaging.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 10:44:03 +0100

user-manager (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:28 +0200

user-manager (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:44:16 +0100

user-manager (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.13.1).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:31 +0200

user-manager (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:14 +0100

user-manager (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:04:00 +0100

user-manager (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:18 +0100

user-manager (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:27 -0300

user-manager (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:52 +0200

user-manager (4:5.10.5-1) experimental; urgency=medium

  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Sync watch file and signing-key.asc with neon
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:04 +0200

user-manager (4:5.8.7-1) unstable; urgency=medium

  * New upstream release (5.8.7)
     + Make sure the new avatar is always saved
        The KIO job needs to be run synchronously, otherwise the KCM might be
        deleted before the job finished. This happens when closing the KCM
        module with the Ok button, or when closing the System Settings window
        and clicking Apply.
        Fixes KDE#350836

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Jun 2017 11:06:20 +0200

=== debian/control ===
Source: user-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev,
               libkf5auth-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5kdelibs4support-dev,
               libkf5kio-dev,
               libkf5widgetsaddons-dev,
               libpwquality-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/user-manager
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/user-manager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/user-manager

Package: user-manager
Architecture: any
Depends: accountsservice, ${misc:Depends}, ${shlibs:Depends}
Description: user management tool for the Plasma workspace
 A System Settings module for managing users on your system.

## user-manager 5.13.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(user-manager)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.13.5")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
user-manager (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * debian/copyright: Replace obsolete field Upstream-Maintainer with
    Upstream-Contact.
  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:36:11 +0100
